## com.google.gwt.user.datepicker.client
Class MonthSelector

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.google.gwt.user.datepicker.client.MonthSelector

All Implemented Interfaces:
  HasHandlers, EventListener

Direct Known Subclasses:
  DefaultMonthSelector

    public abstract class MonthSelector

extends Composite

Abstract month selector widget.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`MonthSelector()`

Method Summary
`protected void` | `addMonths(int numMonths)`
`protected DatePicker` | `getDatePicker()`
`CalendarModel` | `getModel()`
`protected abstract void` | `refresh()` Refresh the component.
`protected void` | `refreshAll()` Refreshes the `DatePicker`, `CalendarView`, and `CalendarModel`.
`protected abstract void` | `setup()` Set up the component.

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addDomHandler, addHandler, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MonthSelector

    public MonthSelector()

Method Detail

### getModel

    public CalendarModel getModel()

### addMonths

    protected void addMonths(int numMonths)

### getDatePicker

    protected DatePicker getDatePicker()

### refresh

    protected abstract void refresh()

  Refresh the component. Usually called because the model's current date has changed. In general, only should be called by `DatePicker`. Use refreshAll() if you need to refresh all components.

### refreshAll

    protected void refreshAll()

  Refreshes the `DatePicker`, `CalendarView`, and `CalendarModel`.

### setup

    protected abstract void setup()

  Set up the component.